.assets-top {
  margin-bottom: 30px;
  gap: 20px;
  font-size: 14px;

  &__filter-btn {
    gap: 10px;
    padding: 0 20px 0 14px;

    .icon-filter-angle {
      display: none;
    }

    .icon-filter {
      display: flex;
    }

    &.active {
      .icon-filter-angle {
        transform: rotate(90deg);
        display: flex;
      }
      .icon-filter {
        display: none;
      }
    }
  }

  &__refresh-btn {
    padding: 0;
    min-width: 48px;
  }
}

.assets-search {
  padding: 0 20px;
  height: 48px;
  line-height: 48px;

  &__input {
    margin-left: 10px;
  }
}

.sort-assets {
  position: relative;
  color: var(--main);

  &__btn {
    padding: 0px 14px 0px 20px;
    justify-content: space-between;
    gap: 20px;
    width: 100%;
  }

  &__current {
    white-space: nowrap;
    pointer-events: none;
  }

  &__icon {
    pointer-events: none;
    transition: 0.2s;
    &.active {
      transform: rotate(180deg);
    }
  }

  &__body {
    min-width: 200px;
  }

  &__list {
    font-size: 13px;
    line-height: 17px;
  }

  &__item {
    margin: 8px;
    justify-content: start;
    height: 40px;
    line-height: 40px;
    border-radius: 10px;
    background-color: transparent;
    cursor: pointer;

    &.active {
      background-color: var(--main-01);
    }
  }

  &__input {
    display: none;
  }
}

.assets-main {
  display: flex;
  gap: 15px;
}

.assets-filter {
  display: none;
  position: sticky;
  top: 90px;
  width: 100%;
  max-width: 370px;
  height: calc(100vh - 135px);
  overflow: auto;
  font-size: 14px;
  background-color: var(--bg);
  border: 1px solid var(--main-008);
  border-radius: 16px;

  &.active {
    display: block;
  }

  &__body {
    padding: 15px 20px;
  }

  &__header,
  &__footer {
    position: sticky;
    width: 100%;
    background-color: var(--bg);
    z-index: 99;
  }

  &__header {
    top: 0;
  }

  &__footer {
    bottom: 0;
  }

  &__space {
    position: sticky;
    inset: 0px;
    height: 15px;
    background-color: var(--bg);
    z-index: 99;
  }

  &__top-space {
    bottom: auto;
  }

  &__bottom-space {
    top: auto;
  }
}

.assets-filter-header {
  padding: 24px;
  display: none;

  &__title {
    font-size: 22px;
  }

  &__btn-close {
    position: absolute;
    top: 20px;
    right: 20px;
    padding: 0;
    width: 40px;
    height: 40px;
    line-height: 40px;
    background-color: transparent;
  }
}

.assets-filter-footer {
  padding: 24px 24px 32px;
  display: none;
  justify-content: space-between;

  &__reset,
  &__apply {
    width: calc(50% - 5px);
  }
}

.assets-filter-item {
  color: var(--main);
  font-weight: 700;

  &:not(:last-child) {
    padding: 0 0 15px;
    margin: 0 0 15px;
    border-bottom: 1px solid var(--main-01);
  }

  &__top {
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 100%;
    width: 100%;
    font-size: 16px;

    &.active {
      .assets-filter-item__icon {
        transform: rotate(180deg);
      }
    }
  }

  &__title,
  &__icon {
    pointer-events: none;
  }

  &__main {
    margin-top: 15px;
    display: none;
    flex-wrap: wrap;
    gap: 10px;

    &.active {
      display: flex;
    }
  }
}

.filter-price-form {
  &__main {
    margin-bottom: 15px;
    justify-content: space-between;
    gap: 10px;
  }

  &__input {
    padding: 8px 18px;
    height: 48px;
    width: 100%;
    line-height: 48px;
    background-color: var(--main-004);
    border-radius: 16px;
    border: 1px solid transparent;
    color: var(--main);
    transition: 0.2s;

    &:hover {
      border: 1px solid var(--main-02);
    }
    &:focus{
      background: transparent;
      border: 1px solid var(--main-04);
    }
  }

  &__apply {
    width: 100%;
  }
}

.filter-price-dropdown {
  position: relative;
  color: var(--main);

  &__btn {
    padding: 0px 14px 0px 20px;
    gap: 8px;
    min-width: 100px;

    &:focus {
      background-color: var(--main-002);
    }
    &:active {
      transform: scale(0.95);
    }
  }

  &__current {
    white-space: nowrap;
    pointer-events: none;
  }

  &__list {
    font-size: 16px;
    line-height: 16px;
  }

  &__item {
    cursor: pointer;
    padding: 10px 12px;
    margin: 8px;
    border-radius: 10px;
    transition: 0.2s;
    &:hover {
      background: var(--main-008);
    }
    &:active {
      transform: scale(0.95);
    }
  }
  &__item.active {
    background: var(--main-008);
  }

  &__input {
    display: none;
  }

  &__icon {
    pointer-events: none;
  }
}

.assets-content {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  grid-gap: 15px;
  width: 100%;
  height: 100%;

  &.active {
    grid-template-columns: repeat(5, 1fr);
  }
}

.assets-filter-collections {
  &__search {
    padding: 0 15px;
    margin-bottom: 15px;
    gap: 10px;
    color: var(--main-06);

    &__input {
      margin-left: 15px;
    }
  }

  &__btn-more {
    width: 100%;
  }
}

.collections-item {
  width: 100%;
  font-size: 13px;

  &:not(:last-child) {
    margin-bottom: 15px;
  }
  &__img {
    margin-right: 15px;
    width: 40px;
    height: 40px;
    min-width: 40px;
    border-radius: 6px;

    img {
      object-fit: cover;
      width: 100%;
      height: 100%;
    }
  }

  &__main {
    width: 100%;
    text-align: left;
  }

  &__title {
    gap: 8px;
  }

  &__name {
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
    max-width: 120px;
  }

  &__verify {
    width: 12px;
    height: 12px;
  }

  &__floor {
    color: var(--main-06);
  }

  &__price-value {
    display: flex;
    gap: 5px;
  }

  &__price-time {
    text-align: right;
    color: var(--main-06);
  }
}

